Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 613597 - ftdi USB serial driver broken in 2.6.32.16 / 2.6.33.6 / 2.6.34.1 / 2.6.35
ftdi USB serial driver broken in 2.6.32.16 / 2.6.33.6 / 2.6.34.1 / 2.6.35
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
http://marc.info/?l=linux-usb&m=12828...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-12 07:34 EDT by Arne Woerner
Modified: 2010-12-08 19:38 EST (History)
9 users (show)

See Also:
Fixed In Version: 2.6.35.9-64.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-08 19:38:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diff /var/log/dmesg* (18.88 KB, text/plain)
2010-07-14 11:38 EDT, Arne Woerner
no flags Details

  None (edit)
Description Arne Woerner 2010-07-12 07:34:33 EDT
Description of problem:
When I try to program my arduino on /dev/ttyUSB1,
the device on /dev/ttyUSB0 gets a reset,
and the device on /dev/ttyUSB1 "does not respond".

Version-Release number of selected component (if applicable):
Linux vaako.riddick.homeunix.org 2.6.33.6-147.fc13.x86_64 #1 SMP Tue Jul 6 22:32:17 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux

/usr/lib64/rxtx/librxtxSerial-2.2pre1.so

How reproducible:
always

Steps to Reproduce:
1. connect 2 arduinos via USB
2. start the arduino IDE
3. try to program arduino on /dev/ttyUSB1
  
Actual results:
/dev/ttyUSB0 gets reset
/dev/ttyUSB1 doesnt respond properly

Expected results:
/dev/ttyUSB0 should be unaffected
/dev/ttyUSB1 should get all the usb-serial traffic

Additional info:
It worked fine at 2010-07-01 (I always update within a day)...
Comment 1 Chuck Ebbert 2010-07-14 02:55:28 EDT
Can you confirm that booting the previous kernel makes it work again?
Comment 2 Arne Woerner 2010-07-14 03:21:06 EDT
no - i erase old kernels too early... :-)
in future i will keep at least one old version...
but i thought that old versions r security risks... arnt they?

here is the log about installation of the previous kernel:
/var/log/messages-20100620.bz2:
Jun 17 08:03:39 vaako yum: Installed: kernel-2.6.33.5-124.fc13.x86_64
Jun 17 08:19:49 vaako kernel: Linux version 2.6.33.5-124.fc13.x86_64 (mockbuild@x86-10.phx2.fedoraproject.org) (gcc version 4.4.4 20100503 (Red Hat 4.4.4-2) (GCC) ) #1 SMP Fri Jun 11 09:38:12 UTC 2010

i will re-install 2.6.33.5 and report...

-arne
Comment 3 Arne Woerner 2010-07-14 03:39:02 EDT
with 
Linux vaako.riddick.homeunix.org 2.6.33.5-124.fc13.x86_64 #1 SMP Fri Jun 11 09:38:12 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux
everything (regarding arduino's /dev/ttyUSB* devices) works fine again...

-arne
Comment 4 Chuck Ebbert 2010-07-14 04:28:06 EDT
Can you boot the old kernel, then reboot to the new one and run this command:

  diff -u /var/log/dmesg.old /var/log/dmesg

Then attach the output of that to this bug.

You could also try kernel-2.6.34.1-11 from koji. To do that, download this:

  http://kojipkgs.fedoraproject.org/packages/kernel/2.6.34.1/11.fc13/x86_64/kernel-2.6.34.1-11.fc13.x86_64.rpm

Then run this command:

  yum localinstall kernel-2.6.34.1-11.fc13.x86_64.rpm
Comment 5 Arne Woerner 2010-07-14 09:48:58 EDT
2.6.34.1-11:
this has the FTDI/ttyUSB* bug, too...
in addition the keyboard and the mouse have different /dev/input/event* devices... :-) they r swapped... 2<->3

from /var/log/messages I found, that there r no differences in the kernel messages regarding USB and FTDI...

is there more info in dmesg?
i dont like to reboot often... :-]

-arne
Comment 6 Arne Woerner 2010-07-14 11:38:56 EDT
Created attachment 431819 [details]
diff /var/log/dmesg*

oh
i found that i have 2 fitting dmesg files,
since i rebooted from 2.6.34.1-11 to 2.6.33.5-124...

-arne
Comment 7 Arne Woerner 2010-07-14 15:18:37 EDT
here seems to be a similar problem:
http://www.spinics.net/lists/linux-usb/msg32855.html

-arne
Comment 8 Chuck Ebbert 2010-07-19 07:45:12 EDT
This commit was added in 2.6.33.6 and 2.6.34.1 and may be the cause of this bug:

http://git.kernel.org/?p=linux%2Fkernel%2Fgit%2Ftorvalds%2Flinux-2.6.git;a=commitdiff_plain;h=6a1a82df91fa0eb1cc76069a9efe5714d087eccd

USB: ftdi_sio: fix DTR/RTS line modes
Comment 9 Arne Woerner 2010-08-03 05:31:42 EDT
today's kernel 2.6.33.6-147.2.4.fc13.x86_64 is bad regarding this bug, 2... -arne
Comment 11 Arne Woerner 2010-08-24 06:30:21 EDT
it is still bad with
vmlinuz-2.6.33.8-149.fc13.x86_64

-arne
Comment 12 Chuck Ebbert 2010-08-28 19:36:40 EDT
Upstream developers have been discussing this breakage for months and have finally agreed that commit 6a1a82df91fa0eb1cc76069a9efe5714d087eccd is wrong.

  http://marc.info/?l=linux-usb&m=128283105213206&w=2
Comment 13 Arne Woerner 2010-08-29 04:02:31 EDT
yeah - right

yesterday i learned how to use rpmbuild... :-)
ur guess was right: without that patch both FTDI devices work fine...

-arne
Comment 14 Nils Philippsen 2010-08-29 18:09:59 EDT
I think I've just run into this as well, I tried to access my ancient Palm Vx via ttyUSB which didn't work, accessing it through the "real" serial port worked. Chuck, any chance that we can have this in an update kernel? I'm running 2.6.33.8-149.fc13.x86_64 here.
Comment 15 Chuck Ebbert 2010-09-01 04:54:12 EDT
Fix will be in 2.6.34.6-48
Comment 16 Fedora Update System 2010-09-06 16:54:05 EDT
kernel-2.6.34.6-54.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/kernel-2.6.34.6-54.fc13
Comment 17 Fedora Update System 2010-09-07 22:21:29 EDT
kernel-2.6.34.6-54.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/kernel-2.6.34.6-54.fc13
Comment 18 Fedora Update System 2010-09-08 21:16:36 EDT
kernel-2.6.34.6-54.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Arne Woerner 2010-11-09 10:10:46 EST
it is back in 2.6.35.6-48.fc14.x86_64... *sob* -arne
Comment 20 masanari iida 2010-12-05 10:33:20 EST
My case,  2.6.35.6-48 (Fedora 14, i686) + USB-Serial converter cable + 
Serial Device (GPS) not working.
The same PC, Same cable + same Serial Device worked on Fedora 11.
Latest kernel 2.6.35.9-64(Fedora 14, i686) also shows the same symptom.
Comment 21 Arne Woerner 2010-12-06 05:13:49 EST
hm - 2.6.35.9-64.fc14.x86_64 works fine for my 2 arduinos... there seems to be the ftdi_sio.c patch in the patch-2.6.35.9.bz2-file (the vanilla kernel still has that ftdi bug, that i experienced...)... -arne
Comment 22 masanari iida 2010-12-07 22:31:12 EST
Hello.  It turned out that my problem is NOT related to FTDI driver.
I have only 1 arduino with me, and it works. (I know in order to 
reproduce your symptom, I need 2 arduino.) 
But my USB-Serial converter cable uses pl2303 driver, and it
can not communicate with device on Fedora 14. 
So this is not a right place to add my bug report.
Sorry for the mess.
Comment 23 Arne Woerner 2010-12-08 03:14:21 EST
okili dokili... :-) -arne

Note You need to log in before you can comment on or make changes to this bug.